from termcolor import colored
import os


class LogLevels:
    INFO = 1
    DEBUG = 2
    WARN = 3
    ERROR = 4


def log(level, message, data = ""):
    if(os.getenv("PYPASS_LOG") is not None):
        if(level == LogLevels.INFO):
            print(colored("INFO: " + message, "blue"), data)
        elif (level == LogLevels.DEBUG):
            print(colored("DEBUG: " + message, "green"), data)
        elif (level == LogLevels.WARN):
            print(colored("WARN: " +  message, "yellow"), data)
        elif (level == LogLevels.ERROR):
            print(colored("ERROR:" + message, "red"), data)
