import os
from sys import platform as _platform

install_dir = os.path.dirname(os.path.realpath(__file__))
root_dir = os.path.abspath(os.sep)
current_route_win = f'{install_dir}{os.sep}pypass_current.pickle'
current_route_linux = f'{root_dir}tmp/pypass_current.pickle'
db_file_route = f'{install_dir}{os.sep}pypass.db'


def get_current_file_route():
    current_file = None
    if _platform == "win32" or _platform == "win64":
        current_file = current_route_win
    elif _platform == "linux" or _platform == "linux2":
        current_file = current_route_linux
    return current_file
