from cryptography.fernet import Fernet

def get_key():
    return Fernet.generate_key()

def get_encrypted_password(password):
    key = get_key()
    cipher_suite = Fernet(key)
    ciphered = cipher_suite.encrypt(password.encode())
    full_encrypted = ciphered
    return full_encrypted.decode() + "$" +  key.decode()

def get_decrypted_password(password):
    pwd = password.split("$")[0].encode()
    key = password.split("$")[1].encode()
    cipher_suite = Fernet(key)
    return cipher_suite.decrypt(pwd).decode()
